package com.yeejoin.amos.supervision.core.common.response;

import com.yeejoin.amos.supervision.dao.entity.CatalogTree;
import com.yeejoin.amos.supervision.dao.entity.Point;

import java.util.List;
import java.util.Map;


public class QueryCriteriaRespone {
	
	private List<CatalogTree> types;
	
	/**
	 * 部门
	 */
	private List<Map<String, Object>> departments;
	
	/**
	 * 用户
	 */
	private List<Map<String, Object>> users;
	
	/**
	 * 状态
	 */
	private List<Map<String, String>> status;
	
	/**
	 * 巡检点
	 */
	private List<Point> points;
	
	/**
	 * 巡检点级别
	 */
	private List<Map<String, String>> pointLevel;

	public List<CatalogTree> getTypes() {
		return types;
	}

	public void setTypes(List<CatalogTree> types) {
		this.types = types;
	}

	

	public List<Map<String, Object>> getDepartments() {
		return departments;
	}

	public void setDepartments(List<Map<String, Object>> departments) {
		this.departments = departments;
	}

	

	public List<Map<String, Object>> getUsers() {
		return users;
	}

	public void setUsers(List<Map<String, Object>> users) {
		this.users = users;
	}

	public List<Map<String, String>> getStatus() {
		return status;
	}

	public void setStatus(List<Map<String, String>> list) {
		this.status = list;
	}

	public List<Point> getPoints() {
		return points;
	}

	public void setPoints(List<Point> points) {
		this.points = points;
	}

	public List<Map<String, String>> getPointLevel() {
		return pointLevel;
	}

	public void setPointLevel(List<Map<String, String>> pointLevel) {
		this.pointLevel = pointLevel;
	}
	
	
	
}
